Public Member Functions | Private Attributes

# ICUParagraphLayout::ICULine Class Reference

A single line worth of VisualRuns. More...

Inheritance diagram for ICUParagraphLayout::ICULine:

## Public Member Functions
| ICULine (ParagraphLayout::Line *l)
int | GetLeading () const
int | GetWidth () const
int | CountRuns () const
const ParagraphLayouter::VisualRun * | GetVisualRun (int run) const
int | GetInternalCharLength (WChar c) const
## Private Attributes
ParagraphLayout::Line * | l
| The actual ICU line.

## Detailed Description

A single line worth of VisualRuns.

Definition at line 150 of file gfx_layout.cpp.

The documentation for this class was generated from the following file:

- src/gfx_layout.cpp